/* Appendage.vala
 *
 * Copyright (C) 2008  Raphael Bosshard
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 * Author:
 * 	Raphael Bosshard <raphael.bosshard@gmail.com>
 */

using GLib;

errordomain Appendage.ConfigurationError {
	NOT_FOUND,
	NOT_VALID
}

namespace Appendage {

	public const string PLUGIN_LOCATION_NOT_SET		= "/not/set/";
	public const string PLUGIN_CONFIGURATION_FILE_SUFFIX	= ".plugin";
	public const string REGISTER_FUNCTION_NAME		= "plugin_register";
	public const string PLUGIN_GROUP_NAME			= "Plugin Configuration";

	public static int plugins_compare (PluginInfo a, PluginInfo b) {

		return strcmp (a.location, b.location);
	}	
}
	
public enum Appendage.ModuleLoaderType {
	C,
	PYTHON,
	RUBY
}





